#!/bin/sh
# test we are root
if [ "$USER" != "root" ] ; then
   echo "Run as root please, exiting." 
   exit 1                                                      
fi

# build depends
# Tell gcc that we have a folder for ijs.h

#include <ijs/ijs.h>

export CFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export LDFLAGS="-Wl,-O1"
su -c 'tce-load -i compiletc submitqc4 gettext ijs ijs-dev libiconv ncursesw-dev libtool-dev' tc
su -c 'tce-load -i foomatic-db-engine cups-dev perl5 gtk2-dev libiconv-dev readline-dev' tc
su -c 'tce-load -i texlive flex' tc

G=gutenprint
L=gutenprint-locale
D=gutenprint-doc
V=gutenprint-dev
I=gutenprint-ijs

# start
cd /tmp
su -c '/usr/local/bin/wget \
-nc http://sourceforge.net/projects/gimp-print/files/gutenprint-5.2/5.2.9/gutenprint-5.2.9.tar.bz2/download# \
-O /tmp/gutenprint-5.2.9.tar.bz2' tc

tar jxvf gut*.bz2
cd $G-5.2.9/
./configure  --prefix=/usr/local --with-readline --with-foomatic --with-ghostscript --enable-escputil --sysconfdir=/usr/local/etc 

make clean
make -j3
make DESTDIR=/tmp/$G install

# dev
#####
cd /tmp
mkdir -p $V/usr/local/lib
mv $G/usr/local/include $V/usr/local
mv $G/usr/local/lib/pkgconfig $V/usr/local/lib
mv $G/usr/local/lib/*a $V/usr/local/lib

# fix static permissions
chmod 644 $V/usr/local/lib/*a

mksquashfs $V $V.tcz
md5sum $V.tcz > $V.tcz.md5.txt
cd $V
find usr -not -type d > $V.tcz.list
mv -f $V.tcz.list /tmp

# doc
#####
cd /tmp
mkdir -p $D/usr/local/share
mkdir -p $D/usr/local/share/doc/$G
mv $G/usr/local/share/man $D/usr/local/share
mv $G/usr/local/share/$G/doc/* $D/usr/local/share/doc/$G/
rm -rf $G/usr/local/share/$G/doc

mksquashfs $D $D.tcz
md5sum $D.tcz > $D.tcz.md5.txt
cd $D
find usr -not -type d > $D.tcz.list
mv -f $D.tcz.list /tmp

# ijs 
####### too big to leave in
cd /tmp
mkdir -p $I/usr/local/share
mv $G/usr/local/share/foomatic $I/usr/local/share/

mksquashfs $I $I.tcz
md5sum $I.tcz > $I.tcz.md5.txt
cd $I
find usr -not -type d > $I.tcz.list
mv -f $I.tcz.list /tmp

# locale
########
cd /tmp
mkdir -p $L/usr/local/share
mv $G/usr/local/share/locale $L/usr/local/share

mksquashfs $L $L.tcz
md5sum $L.tcz > $L.tcz.md5.txt
cd $L
find usr -not -type d > $L.tcz.list
mv -f $L.tcz.list /tmp

# main
#######
cd /tmp

mksquashfs $G $G.tcz
md5sum $G.tcz > $G.tcz.md5.txt
cd $G
find usr -not -type d > $G.tcz.list
mv -f $G.tcz.list /tmp

######### finish
cd /tmp
submitqc4
